// District.java

package org.objectweb.jonas.stests.appli;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * District remote interface
 */
public interface District extends EJBObject {
    public int getDistrictId() throws RemoteException;
    public String getWarehouseId() throws RemoteException;
    public void setDistrictName(String name) throws RemoteException;
    public String getDistrictName() throws RemoteException;
    public void setNextOrderId(int order) throws RemoteException ;
    public int getNextOrderId(boolean increment) throws RemoteException;
}
